CODESYS - the IEC 61131-3 automation software

Welcome to the official CODESYS Forum by 3S-Smart Software Solutions GmbH | A member of the CODESYS Group
Deutsche Version English version russian version 
It is currently Sat Dec 07, 2019 3:51 pm

All times are UTC+01:00




Post new topic  Reply to topic  [ 2 posts ] 
Author Message
PostPosted: Mon Oct 21, 2019 7:32 am 
Offline

Joined: Fri Sep 20, 2019 12:47 pm
Posts: 6
Hi all,
I have written the driver for our HW by creating a devdesc and driver code following IoDrvVerySimple template. Our device driver does not use or create any library. Now I want to add versioning support for our driver but it seems codesys only support version check between libary and runtime system?

After investigation, it seems the possible way is:
1. Create a new library.
2. Edit devdesc and set the library as requiredLib (eventhough they are not related).
3. Now there is constraint between devdesc and runtime system: devdesc -> lib -> runtime.

Other way is to have a hidden version parameter in devdesc and check it in driver code. However, this does not prevent download if version does not match.

Could anyone point out a correct way to implement version constraint for devdesc please. Thanks.


Top
   
PostPosted: Tue Nov 12, 2019 11:34 am 
Offline

Joined: Fri Sep 20, 2019 12:47 pm
Posts: 6
I figured out myself using a hidden parameter on every device descriptor for versioning check.


Top
   
Display posts from previous:  Sort by  
Post new topic  Reply to topic  [ 2 posts ] 

All times are UTC+01:00


Who is online

Users browsing this forum: No registered users and 6 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Limited